C0LGMC(3)

SYNOPSIS
COMPLEX FUNCTION C0LGMC (Z)

NAME
c0lgmc - Evaluate (Z+0.5)*LOG((Z+1.)/Z) - 1.0 with relative accuracy.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7A

TYPE
COMPLEX (C0LGMC-C)

KEYWORDS
FNLIB, GAMMA FUNCTION, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate (Z+0.5)*LOG((Z+1.0)/Z) - 1.0 with relative error accuracy Let Q = 1.0/Z so that (Z+0.5)*LOG(1+1/Z) - 1 = (Z+0.5)*(LOG(1+Q) - Q + Q*Q/2) - Q*Q/4 = (Z+0.5)*Q**3*C9LN2R(Q) - Q**2/4, where C9LN2R is (LOG(1+Q) - Q + 0.5*Q**2) / Q**3.

REFERENCES
(NONE)

ROUTINES CALLED
C9LN2R, R1MACH

REVISION HISTORY (YYMMDD)
780401 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)